//
// TrendServer.java - Trend Server
//

//...simports:0:
import java.net.*;
import java.io.*;
import java.util.*;
import nyangau.se.*;
//...e

public class TrendServer
  {
//...susage:2:
public static void usage()
  {
  System.out.println("usage: TrendServer [flags]");
  System.out.println("flags: -propsServlet fn  servlet properties (default: WebServlet.props)");
  System.out.println("       -propsServer fn   server properties (default: WebServer.props)");
  System.exit(1);
  }
//...e
  public static void main(String args[])
    {
    String propsFnServer = "TrendServer.props";
    String propsFnServlet = "TrendServlet.props";
    for ( int i = 0; i < args.length; i++ )
      if ( args[i].equals("-propsServer") )
        {
        if ( ++i == args.length )
          usage();
        propsFnServer = args[i];
        }
      else if ( args[i].equals("-propsServlet") )
        {
        if ( ++i == args.length )
          usage();
        propsFnServlet = args[i];
        }
      else
        usage();
    try
      {
      ServletContext sctx = new ServletContext(propsFnServer, "docroot");
      ServletEngine  seng = new ServletEngine(sctx);
      ServletConfig  scfg = new ServletConfig(propsFnServlet);
      seng.registerServlet("/", new TrendServlet(), scfg);
      seng.serve();
      }
    catch ( jakarta.servlet.ServletException e )
      {
      System.err.println("TrendServer: "+e.toString());
      }
    catch ( IOException e )
      {
      System.err.println("TrendServer: "+e.toString());
      }
    }
  }
